.bookmodal{
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 0%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;

    z-index: 100;
}

.bookmodal_shadow{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;

    background-color: black;
    opacity: 0;
    -webkit-transition: opacity 300ms ease-in-out;
    -o-transition: opacity 300ms ease-in-out;
    transition: opacity 300ms ease-in-out;

    z-index: 0;
    cursor: pointer;
}

.bookmodal_modal{
    position: absolute;
    margin: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    
    -webkit-transform: translate(0, -200%);
    
        -ms-transform: translate(0, -200%);
    
            transform: translate(0, -200%);
    -webkit-transition: -webkit-transform 400ms ease-in-out 50ms;
    transition: -webkit-transform 400ms ease-in-out 50ms;
    -o-transition: transform 400ms ease-in-out 50ms;
    transition: transform 400ms ease-in-out 50ms;
    transition: transform 400ms ease-in-out 50ms, -webkit-transform 400ms ease-in-out 50ms;

    width: 80%;
    height: 60%;
    max-width: 600px;

    border-radius: 10px;

    overflow: hidden;
}

.bookmodal_title{
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    font-weight: 700;
    color: white;

    display: -webkit-box;

    display: -ms-flexbox;

    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;

    height: 50px;

    background-color: var(--palette-1);
}
.bookmodal_text{
    margin: auto;
    margin-left: 20px;
}
.bookmodal_close{
    height: 40px;
    width: 40px;
    margin: auto;
    margin-right: 5px;
    cursor: pointer;
}

.bookmodal_body{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    background-color: white;

    height: 100%;
}
.bookmodal_body_load{
    margin: auto;

    -webkit-box-sizing: border-box;

            box-sizing: border-box;

    border: 18px solid var(--palette-4);
    border-radius: 50%;
    border-top: 18px solid var(--palette-1);
    width: 170px;
    height: 170px;
    -webkit-animation: loadspin 800ms cubic-bezier(.5,.4,.5,.6) infinite;
            animation: loadspin 800ms cubic-bezier(.5,.4,.5,.6) infinite;

    display: none;
}
@-webkit-keyframes loadspin {
    0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    50% { -webkit-transform: rotate(180deg); transform: rotate(180deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
@keyframes loadspin {
    0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    50% { -webkit-transform: rotate(180deg); transform: rotate(180deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
.bookmodal_body_image{
    margin: auto;
    width: 160px;
    height: 160px;
}

.bookmodal_body_error{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;

    max-height: 0%;
    -webkit-transition: max-height 500ms ease-in-out 50ms;
    -o-transition: max-height 500ms ease-in-out 50ms;
    transition: max-height 500ms ease-in-out 50ms;
}
.bookmodal_body_text{
    font-family: 'Open Sans', sans-serif;
}
.bookmodal_body_text.s3{
    text-decoration: underline;
    color: var(--palette-1);
    cursor: pointer;
}

@media (max-width: 410px){
    .bookmodal_title{
        font-size: 14px;
    }
    .bookmodal_text{
        margin-left: 12px;
    }
    .bookmodal_close{
        height: 30px;
        width: 30px;
        margin-right: 4px;
    }
    .bookmodal_body_text{
        font-size: 12;
    }
}